org.apache.ignite.internal.visor.query

## Class VisorQueryCleanupTaskArg

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.query.VisorQueryCleanupTaskArg

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorQueryCleanupTaskArg
    extends VisorDataTransferObject

Arguments for task `VisorQueryCleanupTask`

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3`

### Constructor Summary

Constructors
Constructor and Description
`VisorQueryCleanupTaskArg()` Default constructor.
`VisorQueryCleanupTaskArg(Map<UUID,Collection<String>> qryIds)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<UUID,Collection<String>>` `getQueryIds()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorQueryCleanupTaskArg

    public VisorQueryCleanupTaskArg()

Default constructor.

#### VisorQueryCleanupTaskArg

    public VisorQueryCleanupTaskArg(Map<UUID,Collection<String>> qryIds)

Parameters:
  `qryIds` - Query IDs to cancel.

### Method Detail

#### getQueryIds

    public Map<UUID,Collection<String>> getQueryIds()

Returns:
  Query IDs to cancel.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018